Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.credentials
Interface DeployableCredentialMapperMBean

All Superinterfaces:
  CredentialMapperMBean, weblogic.descriptor.DescriptorBean, ProviderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

    public interface DeployableCredentialMapperMBean

extends CredentialMapperMBean

The SSPI MBean that must be extended by all Credential Mapper providers that can store credential maps created while deploying a component.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Method Summary
`boolean` | `isCredentialMappingDeploymentEnabled()` Returns whether this Credential Mapping provider stores stores credential maps created when deploying a resource adapter.
`void` | `setCredentialMappingDeploymentEnabled(boolean ignored)` Sets whether this Credential Mapping provider stores stores credential maps created when deploying a resource adapter.

Methods inherited from interface weblogic.management.security.ProviderMBean
`getDescription, getName, getRealm, getVersion`

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### isCredentialMappingDeploymentEnabled

    boolean isCredentialMappingDeploymentEnabled()

  Returns whether this Credential Mapping provider stores stores credential maps created when deploying a resource adapter.

### setCredentialMappingDeploymentEnabled

    void setCredentialMappingDeploymentEnabled(boolean ignored)
                                               throws InvalidAttributeValueException

  Sets whether this Credential Mapping provider stores stores credential maps created when deploying a resource adapter.

  Parameters:
    `ignored` - - the new credential mapping deployment enabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `DeployableCredentialMapperMBean.isCredentialMappingDeploymentEnabled()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD